import {
  __esm,
  __objRest,
  __spreadProps,
  __spreadValues
} from "./chunk-OBKEW4AQ.mjs";

// src/resources/wallets/blockchain.ts
function createBlockchainWalletsResource(instanceId, client) {
  return {
    list(receiver_id) {
      return client.get(
        `/instances/${instanceId}/receivers/${receiver_id}/blockchain-wallets`
      );
    },
    createWithAddress(_a) {
      var _b = _a, {
        receiver_id
      } = _b, data = __objRest(_b, [
        "receiver_id"
      ]);
      return client.post(
        `/instances/${instanceId}/receivers/${receiver_id}/blockchain-wallets`,
        __spreadProps(__spreadValues({}, data), {
          is_account_abstraction: true
        })
      );
    },
    createWithHash(_c) {
      var _d = _c, {
        receiver_id
      } = _d, data = __objRest(_d, [
        "receiver_id"
      ]);
      return client.post(
        `/instances/${instanceId}/receivers/${receiver_id}/blockchain-wallets`,
        __spreadProps(__spreadValues({}, data), {
          is_account_abstraction: false
        })
      );
    },
    getWalletMessage(receiver_id) {
      return client.get(
        `/instances/${instanceId}/receivers/${receiver_id}/blockchain-wallets/sign-message`
      );
    },
    get({
      receiver_id,
      id
    }) {
      return client.get(
        `/instances/${instanceId}/receivers/${receiver_id}/blockchain-wallets/${id}`
      );
    },
    delete({
      receiver_id,
      id
    }) {
      return client.delete(
        `/instances/${instanceId}/receivers/${receiver_id}/blockchain-wallets/${id}`
      );
    },
    createAssetTrustline(address) {
      return client.post(`/instances/${instanceId}/create-asset-trustline`, {
        address
      });
    },
    mintUsdbStellar(_e) {
      var data = __objRest(_e, []);
      return client.post(`/instances/${instanceId}/mint-usdb-stellar`, data);
    },
    mintUsdbSolana(_f) {
      var data = __objRest(_f, []);
      return client.post(`/instances/${instanceId}/mint-usdb-solana`, data);
    },
    prepareSolanaDelegationTransaction(_g) {
      var data = __objRest(_g, []);
      return client.post(`/instances/${instanceId}/prepare-delegate-solana`, data);
    }
  };
}
var init_blockchain = __esm({
  "src/resources/wallets/blockchain.ts"() {
  }
});

export {
  createBlockchainWalletsResource,
  init_blockchain
};
